Bug 112481 - header file linux/vmalloc.h unfindable in fedorac core 1
Summary: header file linux/vmalloc.h unfindable in fedorac core 1
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc-kernheaders (Show other bugs)
(Show other bugs)
Version: 1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-20 18:18 UTC by Franck Sabatie
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-22 10:50:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Franck Sabatie 2003-12-20 18:18:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
I'm not sure this belongs to the gcc part of the bug report but I 
need the header file vmalloc.h which USUALLY belongs 
to /usr/include/linux/ to compile some driver. Unfortunately, I have 
installed a brand new Fedora core 1 with all necessary development 
packages and the header file is simply not there. Is it included in 
some hidden rpm? If yes where? Why isn't it default?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Fedora core 1
2. /usr/include/linux/vmalloc.h doesn't exist

    

Actual Results:  not there

Expected Results:  should be there !

Additional info:

Comment 1 Jakub Jelinek 2003-12-22 10:46:00 UTC
You're trying to use /usr/include/{linux,asm} headers for building
kernel modules? If so, don't. They are there solely for userland.
Kernel modules must use -I/lib/modules/`uname -r`/build/include/
instead.

Comment 2 Arjan van de Ven 2003-12-22 10:50:30 UTC
Userspace has no use for /usr/include/linux/vmalloc.h.



Note You need to log in before you can comment on or make changes to this bug.